﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace UltraGridMultipleGrouping
{
    public partial class Form1 : Form
    {
        public DataSet GenerateDataSet()
        {
            DataTable table0 = new DataTable("Treatment Fluu");
            table0.Columns.Add("Product", typeof(string));
            table0.Columns.Add("Type", typeof(string));
            table0.Columns.Add("Name", typeof(string));
            table0.Columns.Add("Category", typeof(string));
            table0.Columns.Add("Brand", typeof(string));
            table0.Columns.Add("Zone", typeof(string));
            table0.Columns.Add("Value", typeof(int));
            table0.Columns.Add("Sales", typeof(int));

            table0.Rows.Add("P1","1","Product-1","C1","B1","Z1",100,10);
            table0.Rows.Add("P1", "2", "Product-1", "C1", "B1", "Z1", 200, 20);
            table0.Rows.Add("P1", "3", "Product-1", "C1", "B1", "Z2", 300, 30);

            table0.Rows.Add("P2", "1", "Product-2", "C1", "B2", "Z1", 10, 1);
            table0.Rows.Add("P2", "2", "Product-2", "C1", "B2", "Z1", 20, 2);
            table0.Rows.Add("P2", "3", "Product-2", "C1", "B2", "Z1", 30, 3);

            table0.Rows.Add("P3", "1", "Product-3", "C1", "B2", "Z2", 30, 12);
            table0.Rows.Add("P3", "2", "Product-3", "C1", "B2", "Z2", 40, 24);
            table0.Rows.Add("P3", "3", "Product-3", "C1", "B2", "Z2", 50, 36);

            DataSet RetDataSet = new DataSet();
            RetDataSet.Tables.Add(table0);

            return RetDataSet;

        }

        public Form1()
        {
            InitializeComponent();
            ultraGrid1.DataSource = GenerateDataSet();
            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];

            band.Columns["Brand"].SortComparer = new MySortComparer();

        }

        private void ultraGrid1_AfterSortChange(object sender, BandEventArgs e)
        {

        }

        private void ultraGrid1_InitializeGroupByRow(object sender, InitializeGroupByRowEventArgs e)
        {
            if (e.Row.Column.Key == "Brand")
            {
                string val = e.Row.GetChild(ChildRow.First).Cells["Zone"].Value.ToString();
                this.ultraGrid1.DisplayLayout.Bands[0].Override.GroupByRowDescriptionMask = "[value] + " + val + ": [count] item(s).";
            }
        }
    }

   


}
