﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridMultipleGrouping
{
    class MySortComparer : IComparer
    {
        internal MySortComparer()
        {
        }

        int IComparer.Compare(object x, object y)
        {
            // Passed in objects are cells. So you have to typecast them to UltraGridCell objects first.
            UltraGridCell xCell = (UltraGridCell)x;
            UltraGridCell yCell = (UltraGridCell)y;

            UltraGridRow xRow = xCell.Row;
            UltraGridRow yRow = yCell.Row;

            UltraGridCell xCell1 = xRow.Cells["Zone"];
            UltraGridCell yCell1 = yRow.Cells["Zone"];

            // Do your own comparision between the values of xCell and yCell and return a negative 
            // number if xCell is less than yCell, positive number if xCell is greater than yCell, 
            // and 0 if xCell and yCell are equal.

            // Following code does an case-insensitive compare of the values converted to string.
            string xText = xCell.Value.ToString();
            string yText = yCell.Value.ToString();

            string xText1 = xCell1.Value.ToString();
            string yText1 = yCell1.Value.ToString();

            xText += xText1;
            yText += yText1;

            return String.Compare(xText, yText);


        }
    }


}
